from yta_general_utils.programming.parameter_validator import PythonValidator, NumberValidator


__all__ = []

def validate_query(query: str):
    if not PythonValidator.is_string(query):
        raise Exception('The provided "query" is not a valid string.')

def validate_ids_to_ignore(ids_to_ignore: list[int]):
    if (
        not PythonValidator.is_list(ids_to_ignore) or
        any(
            not NumberValidator.is_int(id)
            for id in ids_to_ignore
        )
    ):
        raise Exception('The provided "ids_to_ignore" is not a list or some of the elements are not integers.')